#!/bin/sh
#
SRC_URL=http://mirror.billymays.us/libmcs
#
# script by: til <rob D0T til D0T freedman AT googlemail D0T com>
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb
#
set -u -e -x

#libmcs
version=0.7.2
build=66.1
arch=i486
tune=i686

pkgname=libmcs-$version
package=$pkgname-$arch-$build

PKG_SRC="$REPO/extra/l/libmcs/build-libmcs.sh
$SRC_URL/libmcs-$version.tgz"

CWD=`pwd`
TMP=${TMP:-$CWD/tmp}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

### every package should have it
mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}
#
mkdir $SRC
tar xf $CWD/libmcs-$version.tgz --strip-components=1 -C $SRC
cd $SRC
#./autogen.sh
./configure --help >$CWD/configure-help

CFLAGS="-O2 -march=$arch -mtune=$tune" \
CXXFLAGS="-O2 -march=$arch -mtune=$tune" \
./configure \
   --prefix=/usr \
   --disable-kconfig 
#  --disable-static || exit 1

make || exit 1
make install DESTDIR=$PKG

# helperline
(cd $PKG;find . -printf "%M %u:%g %p %l\n" >$CWD/make.installed)

cp -a AUTHORS COPYING README $PKG/usr/doc/$pkgname
cd $PKG

# strip symbols
find . | xargs file | grep "executable\|shared object" | grep ELF |\
	cut -f 1 -d :| xargs -r strip --strip-unneeded

find . | xargs file | grep "current ar archive" |\
	cut -f 1 -d : | xargs -r strip -g

#     |-----handy-ruler------------------------------------------------------|
cat << EOF > install/slack-desc
libmcs: libmcs (A library for managing configuration settings)
libmcs:
libmcs: mcs is a library and set of userland tools which abstract the
libmcs: storage of configuration settings away from userland applications.
libmcs:
libmcs: It is hoped that by using mcs, that the applications which use it
libmcs: will generally have a more congruent feeling in regards to settings.
libmcs:
libmcs: Because mcs is licenced under the BSD license, it is hoped that
libmcs: many applications will adopt its use.
EOF

cp $CWD/build-libmcs.sh usr/src/$pkgname
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
md5sum $package.txz >$package.md5
depfinder $PKG >$package.dep
echo  "$PKG_SRC"	> $package.src
